Skip to main content
Generate Quote Documents

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

QuoteVersionId, EmailBodyTemplateId, AttachMainDocument, QuotedProductsTemplateId, IncludeAttachments, RawMailSubject

GenerateQuoteDocuments: Generate all the documents required to send the Quote as an email to the prospect - or an Order Confirmation; it just depends on the template id's for the lines doc and mail body. Quote version status is not changed by this method.

QuoteVersionId
integer<int32>
EmailBodyTemplateId
integer<int32>
AttachMainDocument
boolean
QuotedProductsTemplateId
integer<int32>
IncludeAttachments
boolean
RawMailSubject
string

Response

OK

Prepare the documents required to publish a quote - Email, main document as pdf, quoted products as pdf, attachments Carrier object for QuotePublishDocuments. Services for the QuotePublishDocuments Carrier is available from the Quote Agent.

QuoteDocumentId
integer<int32>

Quote document, as PDF; may be zero if there is no document specified for the version

QuotedProductsId
integer<int32>

Quoted products (quote lines or confirmation lines) document, as PDF

QuoteAttachmentIds
integer<int32>[]

Array of id's of any attachments (standard + custom for this version)

MailBody
string

The string that is the content of the mail body; this is the result of merging the mail body template with the current template variable values

MailSubject
string

The string that is the mail subject; done by merging the text resource SR_QUOTE_PUBLISH_MAILHEADING with the current template variable values

ToEmail
string

The email address of the recipient, taken from the sale's person

ToFullName
string

The full name of the recipient, taken from the sale's person

ErrorMessage
string

If something went wrong, show this message and do not continue

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.